package com.foreverwin.mesnac.meapi.mapper;

import com.foreverwin.mesnac.meapi.dto.SfcDto;
import com.foreverwin.mesnac.meapi.model.Sfc;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-02
 */
@Repository
public interface SfcMapper extends BaseMapper<Sfc> {
    /**
     * 获取资源上活动的sfc
     */
    List<Sfc> getSfcListByResrceBO(String resrceBO);

    SfcDto findSfcData(@Param("site") String site, @Param("sfc") String sfc);

    Sfc findBySfc(@Param("sfc") Sfc sfc);
}